Bug 160217 - [Maintainer Update] emulators/doscmd update
Summary: [Maintainer Update] emulators/doscmd update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-26 18:10 UTC by Stephen Hurd
Modified: 2011-09-04 13:10 UTC (History)
0 users

See Also:


Attachments
file.shar (3.05 KB, text/plain)
2011-08-26 18:10 UTC, Stephen Hurd
no flags Details
doscmd.patch (12.99 KB, patch)
2011-09-01 07:41 UTC, Stefan Walter
no flags Details | Diff
doscmd.patch (57.63 KB, patch)
2011-09-02 18:56 UTC, Stephen Hurd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Hurd freebsd_committer 2011-08-26 18:10:07 UTC
Port refresh... adds message regarding mmap() at zero, detects errors from initHMA() and integrates the patches upstream.

Fix: Patch attached with submission follows:
Comment 1 Stefan Walter freebsd_committer 2011-08-31 14:07:24 UTC
State Changed
From-To: open->feedback

Please note that updates to existing ports should be sent in unified diff format 
(as produced by 'diff -u'), not as shar files, so changes to the port can be 
seen in the problem report. Could you send a followup with your update in 
unified diff format?
Comment 2 Stefan Walter freebsd_committer 2011-09-01 07:41:34 UTC
[Patch re-attached for the PR record.]

Stephen Hurd, 31.08.11, 16:35h CEST:

> stefan@FreeBSD.org wrote:
> > Please note that updates to existing ports should be sent in unified diff format
> > (as produced by 'diff -u'), not as shar files, so changes to the port can be
> > seen in the problem report. Could you send a followup with your update in
> > unified diff format?
> >    
> 
> Attached.  How should new and deleted files be sent for existing ports?

The '-N' switch includes added and removed files in the diff. It's a good
idea to also mention explicitly which files were added/removed. Also see
[1].

Since you asked - do you need to send another patch that also takes care
of additions/removals, or is the last patch correct?

Best regards,
Stefan

[1]: http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#PORT-UPGRADING
Comment 3 Stephen Hurd freebsd_committer 2011-09-01 19:15:44 UTC
Stefan Walter wrote:
> The '-N' switch includes added and removed files in the diff. It's a good
> idea to also mention explicitly which files were added/removed. Also see
> [1].
>
> Since you asked - do you need to send another patch that also takes care
> of additions/removals, or is the last patch correct?
>    

Patch with -N added.  The entire files directory is removed and the 
pkg-message file has been added.
Comment 4 Stefan Walter freebsd_committer 2011-09-02 07:45:51 UTC
Hi Stephen,

Stephen Hurd, 01.09.11, 20:15h CEST:

> Patch with -N added.  The entire files directory is removed and the 
> pkg-message file has been added.

your mail did not contain any attachments.

Regards,
Stefan
Comment 5 Stephen Hurd freebsd_committer 2011-09-02 18:56:44 UTC
Stefan Walter wrote:
> Hi Stephen,
>
> Stephen Hurd, 01.09.11, 20:15h CEST:
>
>    
>> Patch with -N added.  The entire files directory is removed and the
>> pkg-message file has been added.
>>      
> your mail did not contain any attachments.
>
> Regards,
> Stefan
>
>
>    
Comment 6 dfilter service freebsd_committer 2011-09-04 13:08:04 UTC
stefan      2011-09-04 12:07:50 UTC

  FreeBSD ports repository

  Modified files:
    emulators/doscmd     Makefile distinfo 
  Added files:
    emulators/doscmd     pkg-message 
  Removed files:
    emulators/doscmd/files patch-8.x patch-bioscursor 
                           patch-desqview-timeslice patch-doscmd.1 
                           patch-fossil-support patch-quietmode 
  Log:
  Update to 20110826.
  
  PR:             160217
  Submitted by:   Stephen Hurd <shurd@sasktel.net> (maintainer)
  
  Revision  Changes    Path
  1.15      +11 -4     ports/emulators/doscmd/Makefile
  1.6       +2 -2      ports/emulators/doscmd/distinfo
  1.2       +0 -629    ports/emulators/doscmd/files/patch-8.x (dead)
  1.2       +0 -114    ports/emulators/doscmd/files/patch-bioscursor (dead)
  1.4       +0 -36     ports/emulators/doscmd/files/patch-desqview-timeslice (dead)
  1.3       +0 -41     ports/emulators/doscmd/files/patch-doscmd.1 (dead)
  1.2       +0 -409    ports/emulators/doscmd/files/patch-fossil-support (dead)
  1.4       +0 -317    ports/emulators/doscmd/files/patch-quietmode (dead)
  1.1       +6 -0      ports/emulators/doscmd/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Stefan Walter freebsd_committer 2011-09-04 13:08:31 UTC
State Changed
From-To: feedback->closed

Update committed, thanks!